import { reactive } from 'vue'
import { login, current } from '@/services/user'
import { setToken } from '@/utils/token'

export default function useUser() {
  const user = reactive({})

  const signIn = (code) => {
    return login(code).then((res) => {
      const { person, token } = res
      Object.assign(user, person)
      setToken(token)
    })
  }

  const getCurrent = () => {
    return current().then((res) => {
      Object.assign(user, res)
    })
  }
  
  const signOut = () => {
    // xxx
  }

  return {
    user,
    signIn,
    signOut,
    getCurrent,
  }
}
